Loading...
Searching...
No Matches
Opm::Accelerator::OpenclKernels< Scalar > Class Template Reference

## Static Public Member Functions

static void | init (cl::Context *context, cl::CommandQueue *queue, std::vector< cl::Device > &devices, int verbosity)
static Scalar | dot (cl::Buffer &in1, cl::Buffer &in2, cl::Buffer &out, int N)
static Scalar | norm (cl::Buffer &in, cl::Buffer &out, int N)
static void | axpy (cl::Buffer &in, const Scalar a, cl::Buffer &out, int N)
static void | scale (cl::Buffer &in, const Scalar a, int N)
static void | vmul (const Scalar alpha, cl::Buffer &in1, cl::Buffer &in2, cl::Buffer &out, int N)
static void | custom (cl::Buffer &p, cl::Buffer &v, cl::Buffer &r, const Scalar omega, const Scalar beta, int N)
static void | full_to_pressure_restriction (const cl::Buffer &fine_y, cl::Buffer &weights, cl::Buffer &coarse_y, int Nb)
static void | add_coarse_pressure_correction (cl::Buffer &coarse_x, cl::Buffer &fine_x, int pressure_idx, int Nb)
static void | prolongate_vector (const cl::Buffer &in, cl::Buffer &out, const cl::Buffer &cols, int N)
static void | spmv (cl::Buffer &vals, cl::Buffer &cols, cl::Buffer &rows, const cl::Buffer &x, cl::Buffer &b, int Nb, unsigned int block_size, bool reset=true, bool add=false)
static void | residual (cl::Buffer &vals, cl::Buffer &cols, cl::Buffer &rows, cl::Buffer &x, const cl::Buffer &rhs, cl::Buffer &out, int Nb, unsigned int block_size)
static void | ILU_apply1 (cl::Buffer &rowIndices, cl::Buffer &vals, cl::Buffer &cols, cl::Buffer &rows, cl::Buffer &diagIndex, const cl::Buffer &y, cl::Buffer &x, cl::Buffer &rowsPerColor, int color, int Nb, unsigned int block_size)
static void | ILU_apply2 (cl::Buffer &rowIndices, cl::Buffer &vals, cl::Buffer &cols, cl::Buffer &rows, cl::Buffer &diagIndex, cl::Buffer &invDiagVals, cl::Buffer &x, cl::Buffer &rowsPerColor, int color, int Nb, unsigned int block_size)
static void | ILU_decomp (int firstRow, int lastRow, cl::Buffer &rowIndices, cl::Buffer &vals, cl::Buffer &cols, cl::Buffer &rows, cl::Buffer &diagIndex, cl::Buffer &invDiagVals, int Nb, unsigned int block_size)
static void | apply_stdwells (cl::Buffer &d_Cnnzs_ocl, cl::Buffer &d_Dnnzs_ocl, cl::Buffer &d_Bnnzs_ocl, cl::Buffer &d_Ccols_ocl, cl::Buffer &d_Bcols_ocl, cl::Buffer &d_x, cl::Buffer &d_y, int dim, int dim_wells, cl::Buffer &d_val_pointers_ocl, int num_std_wells)
static void | isaiL (cl::Buffer &diagIndex, cl::Buffer &colPointers, cl::Buffer &mapping, cl::Buffer &nvc, cl::Buffer &luIdxs, cl::Buffer &xxIdxs, cl::Buffer &dxIdxs, cl::Buffer &LUvals, cl::Buffer &invLvals, unsigned int Nb)
static void | isaiU (cl::Buffer &diagIndex, cl::Buffer &colPointers, cl::Buffer &rowIndices, cl::Buffer &mapping, cl::Buffer &nvc, cl::Buffer &luIdxs, cl::Buffer &xxIdxs, cl::Buffer &dxIdxs, cl::Buffer &LUvals, cl::Buffer &invDiagVals, cl::Buffer &invUvals, unsigned int Nb)

## Static Public Attributes

static const std::string | axpy_str
static const std::string | scale_str
static const std::string | vmul_str
static const std::string | dot_1_str
static const std::string | norm_str
static const std::string | custom_str
static const std::string | full_to_pressure_restriction_str
static const std::string | add_coarse_pressure_correction_str
static const std::string | prolongate_vector_str
static const std::string | spmv_blocked_str
static const std::string | spmv_blocked_add_str
static const std::string | spmv_str
static const std::string | spmv_noreset_str
static const std::string | residual_blocked_str
static const std::string | residual_str
static const std::string | ILU_apply1_fm_str
static const std::string | ILU_apply2_fm_str
static const std::string | stdwell_apply_str
static const std::string | ILU_decomp_str
static const std::string | isaiL_str
static const std::string | isaiU_str

The documentation for this class was generated from the following files:

- opm/simulators/linalg/gpubridge/opencl/openclKernels.hpp
- opm/simulators/linalg/gpubridge/opencl/openclKernels.cpp